Gecode::Gist::Options Class Reference

Options for Gist More...

`#include <gist.hh>`

## Classes

class | _I
| Helper class storing inspectors. More...

## Public Member Functions

| Options (void)
| Initialize with default values.
Public Member Functions inherited from Gecode::Search::Options
| Options (void)
| Initialize with default values.
Options | expand (void) const
| Expand with real number of threads.

## Public Attributes

class Gecode::Gist::Options::_I | inspect
Public Attributes inherited from Gecode::Search::Options
bool | clone
| Whether engines create a clone when being initialized.
double | threads
| Number of threads to use.
unsigned int | c_d
| Create a clone after every c_d commits (commit distance).
unsigned int | a_d
| Create a clone during recomputation if distance is greater than a_d (adaptive distance).
unsigned int | d_l
| Discrepancy limit (for LDS).
unsigned int | assets
| Number of assets (engines) in a portfolio.
unsigned int | slice
| Size of a slice in a portfolio (in number of failures).
unsigned int | nogoods_limit
| Depth limit for extraction of no-goods.
Stop * | stop
| Stop object for stopping search.
Cutoff * | cutoff
| Cutoff for restart-based search.
SearchTracer * | tracer
| Tracer object for tracing search.

## Static Public Attributes

static const Options | def
| Default options.
Static Public Attributes inherited from Gecode::Search::Options
static const Options | def
| Default options.

## Detailed Description

Options for Gist

Note that the d and stop fields of the Search::Options class are not used by Gist.

Definition at line 234 of file gist.hh.

## Constructor & Destructor Documentation

## Options()

Gecode::Gist::Options::Options | ( | void |  | ) |

inline

Initialize with default values.

Definition at line 162 of file gist.hpp.

## Member Data Documentation

## inspect

class Gecode::Gist::Options::_I Gecode::Gist::Options::inspect

## def

const Options Gecode::Gist::Options::def

static

Default options.

Definition at line 269 of file gist.hh.

The documentation for this class was generated from the following files:

- gecode/gist.hh
- gecode/gist/gist.cpp
- gecode/gist/gist.hpp